Fogger — программа для создания веб-приложений в Ubuntu
+4

Fogger— это для программа для Ubuntu, которая позволяет быстро и легко создавать веб-приложения в Ubuntu. Это в широком понимании, а если немного углубиться, то fogger позволяет запускать веб-сайты в отдельном окне с использованием технологии WebKit.

С одной стороны ничего особенного, но с другой — fogger позволяет интегрировать созданное приложение с рабочим окружением unity (уведомления, иконка приложения и др.).

Установка Fogger в Ubuntu

sudo add-apt-repository ppa:loneowais/fogger
sudo apt-get update && sudo apt-get install fogger

Для создания нового приложения в fogger нужно:

  • запустить приложение Create a new fog app
    Create a new fog
  • указать в поле URL адрес веб-сайта или веб-сервиса
  • указать в поле Name имя создаваемого приложения
  • изменить иконку по умолчанию на пользовательскую (не обязательно)

Greate custom fog

Чтобы изменить иконку по умолчанию на пользовательскую можно кликнув по ней и выбрав в файловом менеджере новую.

В итоге, создав новый fog app, мы получает почти полноценное приложение
Fogger - POPULYARNO.COM

Так же можно создать веб-приложения для популярных социальных сетей: facebook, vkontakte и др.
Fogger - facebook

Fogger может использовать пользовательские скрипты (User Scripts) и пользовательские стили (User Styles). Добавить их можно через меню Preferences > Customization.
Использование User Scripts позволяют любому приложению добавить интеграцию с рабочим окружением Unity.

Пользовательские стили применяются для настройки отображения веб-ресурса внутри fogger.

Пользовательские стили и скрипты загружаются до загрузки веб-приложения.

Если вы занимаетесь прокатом стали вы просто обязаны ознакомиться с ГОСТ 1050 88.

+4
Понравилась запись? Подпишитесь по RSS или E-mail!
Категории: Linux, Программы Linux теги: . Прямая ссылка на запись.

Комментарии к записи Fogger — программа для создания веб-приложений в Ubuntu: 3

  1. Андрей сказал(а):

    > sudd-apt-repository ppa:loneowais/fogger
    > supt-get update && sudo apt-get install fogger

    Поправьте пожалуйста:
    sudo-apt-repository ppa:loneowais/fogger
    sudo apt-get update && sudo apt-get install fogger

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *